Subject: Re: [PATCH 2/3] ls-remote: introduce --branches and deprecate --heads

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Jun 2024 14:48:47 -0700

Eric Sunshine <[email-masked]> writes:

> Unless there is a concrete plan to free up --heads to mean something
> else in the future, I wonder why we need to warn about this at all,

There is no plan to repurpose "--heads", but this is primarily to
make sure "-h" cannot mean anything but "please give me a short
help".